package com.fjhx.apk.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.apk.ApkVersion;
import com.fjhx.params.apk.ApkVersionVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-10-19
 */
public interface ApkVersionService extends BaseService<ApkVersion> {

    Page<ApkVersion> getPage(Map<String, String> condition);

    void add(ApkVersionVo apkVersionVo);

    void edit(ApkVersionVo apkVersionVo);

    void delete(ApkVersionVo apkVersionVo);

    ApkVersion getNewestVersion(ApkVersionVo apkVersionVo);

}
